Bug 481022 - Review Request: SPE - Stani's Python Editor
Review Request: SPE - Stani's Python Editor
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
: 444134 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-21 14:22 EST by MERCIER Jonathan
Modified: 2009-02-18 10:19 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-18 10:19:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
Maybe-needed additional dependencies (643 bytes, text/plain)
2009-02-02 10:26 EST, Mamoru TASAKA
no flags Details

  None (edit)
Description MERCIER Jonathan 2009-01-21 14:22:38 EST
Spec URL: http://bioinformatiques.free.fr/spe.spec
SRPM URL: http://bioinformatiques.free.fr/spe-0.8.4.h-3.fc10.src.rpm
Description: SPE it is a Python IDE editor released
______________________________________________________________
$ rpmlint rpmbuild/SPECS/spe.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$ rpmlint rpmbuild/SRPMS/spe-0.8.4.h-3.fc10.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint rpmbuild/RPMS/noarch/spe-0.8.4.h-3.fc10.noarch.rpm 
spe.noarch: E: wrong-script-interpreter /usr/lib/python2.5/site-packages/spe/_spe/Blender_signature.py "BPY"
spe.noarch: E: wrong-script-interpreter /usr/lib/python2.5/site-packages/spe/_spe/spe_blender.py "BPY"
spe.noarch: E: wrong-script-interpreter /usr/lib/python2.5/site-packages/spe/_spe/winpdb_blender.py "BPY"
1 packages and 0 specfiles checked; 3 errors, 0 warnings.
________________________________________________________________

rpmlint don't know the shebang #!BPY This shebang makes it
possible Blender to recognize script as a plugins

#!BPY  It tells Blender that this is a Blender script, and therefore it will
consider it when scanning for scripts.
http://en.wikibooks.org/wiki/Blender_3D:_Noob_to_Pro/Advanced_Tutorials/Python_Scripting/Export_scripts
Comment 1 Pierre-YvesChibon 2009-01-22 08:39:43 EST
*** Bug 444134 has been marked as a duplicate of this bug. ***
Comment 2 MERCIER Jonathan 2009-02-01 13:51:05 EST
$ koji build --scratch dist-f10 rpmbuild/SRPMS/spe-0.8.4.h-3.fc10.src.rpm 
Uploading srpm: rpmbuild/SRPMS/spe-0.8.4.h-3.fc10.src.rpm
[====================================] 100% 00:00:36   1.16 MiB  32.71 KiB/sec
Created task: 1097523
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=1097523
Watching tasks (this may be safely interrupted)...
1097523 build (dist-f10, spe-0.8.4.h-3.fc10.src.rpm): free
1097523 build (dist-f10, spe-0.8.4.h-3.fc10.src.rpm): free -> open (x86-5.fedora.phx.redhat.com)
  1097524 buildArch (spe-0.8.4.h-3.fc10.src.rpm, noarch): free
  1097524 buildArch (spe-0.8.4.h-3.fc10.src.rpm, noarch): free -> open (x86-3.fedora.phx.redhat.com)
  1097524 buildArch (spe-0.8.4.h-3.fc10.src.rpm, noarch): open (x86-3.fedora.phx.redhat.com) -> closed
  0 free  1 open  1 done  0 failed
1097523 build (dist-f10, spe-0.8.4.h-3.fc10.src.rpm): open (x86-5.fedora.phx.redhat.com) -> closed
  0 free  0 open  2 done  0 failed

1097523 build (dist-f10, spe-0.8.4.h-3.fc10.src.rpm) completed successfully
Comment 3 manuel wolfshant 2009-02-01 21:08:38 EST
Jonathan, if you do not mind, please try to rephrase the %Summary field. "SPE Python IDE editor released" is not really correct in English. Maybe simply using "Python IDE editor" or "Python IDE with UML,PyChecker,Debugger,GUI design,Blender & more"
Comment 4 Mamoru TASAKA 2009-02-02 10:26:40 EST
Created attachment 330633 [details]
Maybe-needed additional dependencies

Almost clean

Some notes:
* Directory for installing icon
  - spe.png should be installed under %_datadir/pixmaps, not under
    %_datadir/icons.

* Optional dependency
  - There seems other optional dependencies (see attached)
    Would you check if "Requires: pygame, python-quixote" should be
    needed (or is preferable) or they are just optional?

Then:
-------------------------------------------------------------
NOTE: Before being sponsored:

This package will be accepted with another few work. 
But before I accept this package, someone (I am a candidate) 
must sponsor you.

Once you are sponsored, you have the right to review other 
submitters' review requests and approve the packages formally. 
For this reason, the person who want to be sponsored (like you) 
are required to "show that you have an understanding 
of the process and of the packaging guidelines" as is described
on :
http://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored

Usually there are two ways to show this.
A. submit other review requests with enough quality.
B. Do a "pre-review" of other person's review request
   (at the time you are not sponsored, you cannot do
   a formal review)

When you have submitted a new review request or have pre-reviewed other 
person's review request, please write the bug number on this bug report 
so that I can check your comments or review request.

Fedora package collection review requests which are waiting for someone to
review can be checked on my wiki page:
http://fedoraproject.org/wiki/User:Mtasaka#B._Review_request_tickets
(Check "No one is reviewing")

Review guidelines are described mainly on:
http://fedoraproject.org/wiki/Packaging/ReviewGuidelines
http://fedoraproject.org/wiki/Packaging/Guidelines
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets
------------------------------------------------------------
Comment 5 MERCIER Jonathan 2009-02-02 18:53:03 EST
In first, thanks for your answer,
_______________________________________________________________
1/ i have update the summary as "Python IDE with UML,PyChecker,Debugger,GUI
design,Blender & more"
_______________________________________________________________
2/in tar file they are a shortcuts directories: _spe/shortcuts/
this directories i can remove it in the spec file?
> rm -rf ./_spe/shortcuts/
_______________________________________________________________
3/ i look all import from .py file, left 3 diorecotries(tabs,test ans view)
setup.py					from distutils.core import setup

_spe/Child.py					import codecs, compiler, inspect, os, sys, re, shutil, thread, time, types
						import wx
						from wx.lib.evtmgr import eventManager	
						import sm, sm.osx, sm.spy, sm.uml, sm.wxp, sm.wxp.smdi
						from sm.wxp.stc import PythonSTC
						from sm.wxp.realtime import TreeCtrl, ListCtrl
						import view.documentation
						import _spe.help as help
						from Menu import STATUS
						import _spe.plugins.Pycheck as Pycheck
						from sidebar.Browser import Browser
			
_spe/help.py					import _spe.info

_spe/info.py					import os,sys

_spe/Menu.py					import _spe.info as info

_spe/Parent.py					import _spe.info as info

_spe/spe					import _spe.SPE

_spe/SPE.py					import sys

_spe/SPE.pyw					import SPE

_spe/spe_blender.py				import _spe.SPE

_spe/SPE_DEBUG.py				import _spe.SPE
						import sys
			
_spe/winpdb_blender.py				import os
						import sys
						import subprocess

_spe/wxgChild.py				import wx

_spe/wxgMenu.py					import sys, wx

_spe/dialogs/helpDialog.py			import os

_spe/dialogs/helpShortcutsDialog.py		import _spe.info

_spe/dialogs/__init__.py			import _spe.info

_spe/dialogs/preferencesDialog.py		import ConfigParser,os,types
						from wx.gizmos import EditableListBox
						import wx
						import sm.wxp.smdi as smdi

_spe/dialogs/runDialog.py			import wx

_spe/dialogs/runTerminalDialog.py		import wx

_spe/dialogs/runWinPdbDialog.py			import wx

_spe/dialogs/separatorDialog.py			import _spe.info,sm

_spe/dialogs/speDialog.py			import _spe.info

_spe/dialogs/stcStyleEditor.py			import os, string, pprint, copy
						import ConfigParser
						import wx
						from wx.lib.anchors import LayoutAnchors
						import wx.stc as wx_stc

_spe/dialogs/winpdbDialog.py			import wx
						import os,webbrowser
						import _spe.info as info
						
_spe/doc/home.py			import webbrowser

_spe/plugins/__init__.py		import _spe.info

_spe/plugins/Pycheck.py			import os
						import wx
						from wx.lib.evtmgr import eventManager
						import _spe.info as info
						
_spe/plugins/spe_winpdb.py			import os, thread
						import wx
						import _spe.info as info
						import _spe.Menu as Menu
						from dialogs import winpdbDialog
						
_spe/plugins/spe_xrced.py			import os, sys
						from wx.tools.XRCed import xrced
						from plugins.XRCed import xrced
						
_spe/plugins/kiki/kiki.py			import wx
						import wx.html
						import re, os, os.path, cgi, sys

_spe/plugins/pychecker/checker.py		import string
						import types
						import sys
						import imp
						import os
						import glob
						import traceback
						import re
_spe/plugins/pychecker/CodeChecks.py		import string
						import types
						
_spe/plugins/pychecker/Config.py		import sys
						import os
						import getopt
						import string
						import re
						import time
						import types
						
_spe/plugins/pychecker/__init__.py		import string

_spe/plugins/pychecker/msgs.py			import UserString

_spe/plugins/pychecker/options.py		import sys
						import os
						import Tkinter, tkFileDialog
						from OptionTypes import *
						from string import capitalize, strip, rstrip, split

_spe/plugins/pychecker/OptionTypes.py		import Tkinter

_spe/plugins/pychecker/printer.py		from pychecker import utils

_spe/plugins/pychecker/python.py		import types
						import sys
_spe/plugins/pychecker/Stack.py			import types
						
_spe/plugins/pychecker/utils.py			import sys
						import string
						import copy
						
_spe/plugins/pychecker/Warning.py		import os.path
						import sys
						import string
						import types
						import traceback
						import imp
						import re

_spe/plugins/pychecker2/Check.py			import time
						import os
						import stat
						
_spe/plugins/pychecker2/ClassChecks.py		from compiler.misc import mangle
						from compiler import ast, walk
						
_spe/plugins/pychecker2/ConditionalChecks.py	from compiler import ast, walk
						
_spe/plugins/pychecker2/File.py			from compiler import ast
						
_spe/plugins/pychecker2/FormatStringChecks.py	from compiler import ast, walk
						from types import *
						import re
						
_spe/plugins/pychecke2r/ImportChecks.py		from compiler import walk
								
_spe/plugins/pychecker2/main.py			import sys
						from os.path import dirname, realpath

_spe/plugins/pychecker2/OpChecks.py		import compiler
						
_spe/plugins/pychecker2/ParseChecks.py		from compiler import parseFile, walk
						import parser
						
_spe/plugins/pychecker2/ReachableChecks.py	from compiler import ast, walk
						
_spe/plugins/pychecker2/ReturnChecks.py		from compiler import ast, walk
						
_spe/plugins/pychecker2/ScopeChecks.py		from compiler.ast import *
						
_spe/plugins/pychecker2/symbols.py		from compiler import ast
						from compiler.consts import SC_LOCAL, SC_GLOBAL, SC_FREE, SC_CELL, SC_UNKNOWN
						from compiler.misc import mangle
						import types
						import sys
						
_spe/plugins/pychecker2/test.py			import os
						import sys
						import unittest
						import glob
						
_spe/plugins/pychecker2/test.py			import unittest
						
_spe/plugins/pychecker2/TestSupport.py		import unittest

_spe/plugins/pychecker2/VariableChecks.py	from compiler import ast, walk

_spe/Browser.py					import wx
						import os
						
_spe/sm/images.py				import sm

_spe/sm/osx.py					import os
						import sm

_spe/sm/python.py				import sm

_spe/sm/scriptutils.py				import sm

_spe/sm/spy.py					import inspect

_spe/sm/thread.py				import Queue,threading,types,time

_spe/sm/uml.py					import os, re
						import wx, wx.lib.ogl as ogl

_spe/sm/www.py					import sm

_spe/sm/wxp/__init__.py				import os, types, sys
						import sm
						
_spe/sm/wxp/NotebookCtrl.py			import wx

						from wx.lib.buttons import GenBitmapButton as BitmapButton

						import wx.xrc  as  xrc

						import cStringIO, zlib

						import cPickle

						import weakref
						
_spe/sm/wxp/pil.py				import wx

						import Image
						
_spe/sm/wxp/realtime.py				import wx

_spe/sm/wxp/singleApp.py				import wx
						import thread
						import time
						import sys
						import wx.lib.newevent
						import SimpleXMLRPCServer
						import xmlrpcli
						
_spe/sm/wxp/smdi.py				import sm, sm.osx
						import  os, sys, pprint
						import  wx
						from    wx.lib.evtmgr import eventManager
						import singleApp
						import NotebookCtrl

_spe/sm/wxp/stc.py				import sm
						import wx
						import wx.stc as wx_stc
						import wx.gizmos as wx_gizmos
						import inspect,keyword,os,sys,typ
Comment 7 Mamoru TASAKA 2009-02-03 10:11:04 EST
(In reply to comment #5)
> 2/in tar file they are a shortcuts directories: _spe/shortcuts/
> this directories i can remove it in the spec file?
> > rm -rf ./_spe/shortcuts/

- If you think this directory is not needed, please do.

> _______________________________________________________________
> 3/ i look all import from .py file, left 3 diorecotries(tabs,test ans view)

- So would you tell me if the dependency I pointed out on
  my previous comment is a must or just optional?
Comment 8 MERCIER Jonathan 2009-02-03 14:23:24 EST
pygame and python-quixote is optionnal package i use spe without this package and spe works perfectly
Comment 9 Mamoru TASAKA 2009-02-04 13:50:59 EST
Okay, then I will wait for your next srpm.
Comment 10 MERCIER Jonathan 2009-02-04 17:33:53 EST
rpmlint issue:
___________________________________________________________________________
$ rpmlint rpmbuild/SPECS/spe.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$ rpmlint rpmbuild/SRPMS/spe-0.8.4.h-4.fc10.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint rpmbuild/RPMS/noarch/spe-0.8.4.h-4.fc10.noarch.rpm 
spe.noarch: E: wrong-script-interpreter /usr/lib/python2.5/site-packages/spe/_spe/Blender_signature.py "BPY"
spe.noarch: E: wrong-script-interpreter /usr/lib/python2.5/site-packages/spe/_spe/spe_blender.py "BPY"
spe.noarch: E: wrong-script-interpreter /usr/lib/python2.5/site-packages/spe/_spe/winpdb_blender.py "BPY"
1 packages and 0 specfiles checked; 3 errors, 0 warnings.
___________________________________________________________________________


#!BPY  It tells Blender that this is a Blender script, and therefore it will
consider it when scanning for scripts.
 link for spec rpm and src.rpm file:
http://bioinformatiques.free.fr/spe.spec

http://bioinformatiques.free.fr/spe-0.8.4.h-4.fc10.noarch.rpm

http://bioinformatiques.free.fr/earth-and-moon-gdm-theme-1.0.0-1.fc9.noarch.rpm

___________________________________________________________________________

$ koji build --scratch dist-f10 rpmbuild/SRPMS/spe-0.8.4.h-4.fc10.src.rpm 
Uploading srpm: rpmbuild/SRPMS/spe-0.8.4.h-4.fc10.src.rpm
[====================================] 100% 00:00:28   1.16 MiB  42.02 KiB/sec
Created task: 1105120
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=1105120
Watching tasks (this may be safely interrupted)...
1105120 build (dist-f10, spe-0.8.4.h-4.fc10.src.rpm): open (x86-3.fedora.phx.redhat.com)
  1105121 buildArch (spe-0.8.4.h-4.fc10.src.rpm, noarch): open (xenbuilder4.fedora.phx.redhat.com)
  1105121 buildArch (spe-0.8.4.h-4.fc10.src.rpm, noarch): open (xenbuilder4.fedora.phx.redhat.com) -> closed
  0 free  1 open  1 done  0 failed
1105120 build (dist-f10, spe-0.8.4.h-4.fc10.src.rpm): open (x86-3.fedora.phx.redhat.com) -> closed
  0 free  0 open  2 done  0 failed

1105120 build (dist-f10, spe-0.8.4.h-4.fc10.src.rpm) completed successfully
Comment 11 manuel wolfshant 2009-02-04 18:53:04 EST
(In reply to comment #10)
> rpmlint issue:
[...]
> $ rpmlint rpmbuild/RPMS/noarch/spe-0.8.4.h-4.fc10.noarch.rpm 
> spe.noarch: E: wrong-script-interpreter
[...]
> #!BPY  It tells Blender that this is a Blender script, and therefore it will
> consider it when scanning for scripts.

I'd say this calls for a RFE in rpmlint. I suggest to file a bug for it.
Comment 13 Mamoru TASAKA 2009-02-05 13:43:29 EST
Well,
- This package itself is now good
- For your other review requests:
  - I suggets that gdesklets related packages should be renamed
    to gdesklets-XXXXXX
    (there are already gdesklets-goodweather, gdesklets-quote-of-the-day
     on Fedora. It seems that both of these were reviewed by me....)
  - I suggest that earth-and-moon rpm should be renamed to
    earth-and-moon-backgrounds (as other packages do).
    You can check how other packages are renamed by
    $ rpm -qf /usr/share/backgrounds/*

   (note: please post new srpms or your comments for this package
    on the corresponding review request, not on "this" review
    ticket)

------------------------------------------------------------
  This package (spe) is APPROVED by mtasaka
------------------------------------------------------------

Please follow the procedure written on:
http://fedoraproject.org/wiki/PackageMaintainers/Join
from "Get a Fedora Account".
I found a account on FAS (Fedora Account System) which is 
perhaps yours, however the mail account used on FAS differs
from what you are using on this bugzilla. Both must
be the same, so please fix the mail account used on FAS.
Then I will sponsor you.

If you want to import this package into Fedora 9/10, you also have
to look at
http://fedoraproject.org/wiki/Infrastructure/UpdatesSystem/Bodhi-info-DRAFT
(after once you rebuilt this package on koji Fedora rebuilding system).

If you have questions, please ask me.
Comment 14 MERCIER Jonathan 2009-02-06 07:04:46 EST
i have update the mail: bioinfornatics@gmail.com
on my FAS account
Comment 15 Mamoru TASAKA 2009-02-06 10:04:22 EST
Okay. Now I am sponsoring you. Please follow "Join" wiki again.
Comment 16 MERCIER Jonathan 2009-02-06 19:29:19 EST
New Package CVS Request
=======================
Package Name: SPE
Short Description: SPE it is a Python IDE editor released
Owners: bioinfornatics@gmail.com
Branches: F9 F10
InitialCC: bioinfornatics
Comment 17 Kevin Fenzi 2009-02-08 17:09:17 EST
Please use FAS name in the owners field. 

Should this package be 'SPE' or 'spe'? Case matters, and your package name so far as been 'spe'.
Comment 18 MERCIER Jonathan 2009-02-08 20:26:11 EST
New Package CVS Request
=======================
Package Name: spe
Short Description: spe it is a Python IDE editor released
Owners: bioinfornatics@gmail.com
Branches: F9 F10
InitialCC: bioinfornatics
Comment 19 Kevin Fenzi 2009-02-10 17:42:09 EST
You still have an email address in the Owners field. ;) 

cvs done.
Comment 20 Mamoru TASAKA 2009-02-18 10:19:03 EST
Now closing.

Note You need to log in before you can comment on or make changes to this bug.